<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('penawaran', function (Blueprint $table) {
            $table->id();
            $table->string('code');
            $table->string('nama_kjpp_sebelumnya');
            $table->string('biaya_kjpp_sebelumnya');
            $table->datetime('tanggal_penilaian_sebelumnya');
            $table->string('nomor_registrasi');
            $table->foreignId('tujuan_penilaian_kjpp_id')->constrained('tujuan_penilaian_kjpp');
            $table->foreignId('jenis_laporan_id')->constrained('jenis_laporan');
            $table->date('start_date');
            $table->date('end_date');
            $table->text('catatan');
            $table->boolean('status')->default(true)->nullable();
            $table->char('authorized_status', 1)->nullable();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->timestamps();
            $table->softDeletes();

            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('penawaran');
    }
};
